module Symbol_Types

!  Type definitions for the symbol table.

!  The terminal symbols of the grammar.

  implicit NONE
  public

  include 'symbol_types.f9h'

!---------------------------- RCS Module Info ------------------------------
  character (len=*), private, parameter :: ModuleName= &
       "$RCSfile: symbol_types.f90,v $"
  private :: not_used_here 
!---------------------------------------------------------------------------

contains

!--------------------------- end bloc --------------------------------------
  logical function not_used_here()
  character (len=*), parameter :: IdParm = &
       "$Id: symbol_types.f90,v 1.4 2022/01/29 00:03:32 vsnyder Exp $"
  character (len=len(idParm)) :: Id = idParm
    not_used_here = (id(1:1) == ModuleName(1:1))
    print *, Id ! .mod files sometimes change if PRINT is added
  end function not_used_here
!---------------------------------------------------------------------------

end module Symbol_Types

! $Log: symbol_types.f90,v $
! Revision 1.4  2022/01/29 00:03:32  vsnyder
! Remove USE for String_Table
!
! Revision 1.3  2022/01/27 02:08:32  vsnyder
! Incorporate the only executable statements in Init_Terminal and Init_Type
! into Init_Symbol_Table in the Symbol_Table module
!
! Revision 1.2  2022/01/24 22:23:45  vsnyder
! Forgot to include the CVS stuff
!
